"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.query = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _as = require("./as");

var _withSecretsManager = require("./with-secrets-manager");

var _makeTestEnvironment = require("./make-test-environment");

var _shouldReturn = require("./should-return");

var _not = require("./not");

var query = function query(readModelContext, resolver, args) {
  var query = {
    resolver: resolver,
    args: args
  };
  var context = (0, _extends2["default"])({}, readModelContext, {
    query: query,
    environment: (0, _makeTestEnvironment.makeTestEnvironment)((0, _extends2["default"])({}, readModelContext, {
      query: query
    }))
  });
  return Object.assign(context.environment.promise, {
    as: (0, _lodash["default"])(_as.as, context),
    withSecretsManager: (0, _lodash["default"])(_withSecretsManager.withSecretsManager, context),
    setSecretsManager: (0, _lodash["default"])(_withSecretsManager.setSecretsManager, context),
    shouldReturn: (0, _lodash["default"])(_shouldReturn.shouldReturn, context),
    not: (0, _lodash["default"])(_not.not, context)
  });
};

exports.query = query;
//# sourceMappingURL=query.js.map