"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.getSecretsManager = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var getSecretsManager = function getSecretsManager() {
  var secrets = new Map();
  return {
    getSecret: function () {
      var _getSecret = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(id) {
        return _regenerator["default"].wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                return _context.abrupt("return", secrets.get(id) || null);

              case 1:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));

      function getSecret(_x) {
        return _getSecret.apply(this, arguments);
      }

      return getSecret;
    }(),
    setSecret: function () {
      var _setSecret = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee2(id, secret) {
        return _regenerator["default"].wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                secrets.set(id, secret);

              case 1:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));

      function setSecret(_x2, _x3) {
        return _setSecret.apply(this, arguments);
      }

      return setSecret;
    }(),
    deleteSecret: function () {
      var _deleteSecret = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee3(id) {
        return _regenerator["default"].wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                return _context3.abrupt("return", secrets["delete"](id));

              case 1:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3);
      }));

      function deleteSecret(_x4) {
        return _deleteSecret.apply(this, arguments);
      }

      return deleteSecret;
    }()
  };
};

exports.getSecretsManager = getSecretsManager;
//# sourceMappingURL=get-secrets-manager.js.map